from pyglet.gl import *
import pyglet

import data

filename = data.filepath("shadow-114-128.png")

# ==

# load files

try:
    _shadow_image = pyglet.image.load(filename)
    shadow_texture = _shadow_image.texture
except:
    # might happen if avbin is not installed??
    print "problem loading shadow-114-128.png; shadows won't be circular"
    shadow_texture = None

# ==

# figure out settings

USE_SHADOW_TEXTURE = True # if False, shadows will be subsets of terrain quads

if USE_SHADOW_TEXTURE and not shadow_texture:
    USE_SHADOW_TEXTURE = False # might happen if avbin is not installed??

